
import { useEffect } from 'react';
import Taro, { useRouter } from '@tarojs/taro';
import withBasic from '@/layouts/withBasic'
import PageLoading from '@/components/PageLoading'
import { getQueryParam, getQueryString } from '@/utils/codeSegment';

const QRCodePage = (props) => {
  const router = useRouter()
  const scene = router?.params?.scene

  useEffect(() => {
    if (scene) {
      const { type, ...queryParams } = getQueryParam(scene);
      let queryStr = getQueryString(queryParams) || ''
      if (queryStr) {
        queryStr = `?${queryStr}`
      }

      // 默认调首页
      let url = '/pages/index/index';
      switch (type) {
        case 'cardinfo':
          url = `/pages/dogCardDetail/index${queryStr}`
          break;
        default:
          break
      }

      Taro.reLaunch({ url })
    }
  }, [scene])

  return <PageLoading />
}

export default withBasic(QRCodePage, PageLoading)
